commit:     456f47ad807b2e38b401e321775b3c46547b438c
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 30 21:02:11 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue Jul 31 08:00:38 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=456f47ad

dev-python/python-lzo: version bump.

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/python-lzo/Manifest               |  1 +
 dev-python/python-lzo/python-lzo-1.12.ebuild | 35 ++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/python-lzo/Manifest b/dev-python/python-lzo/Manifest
index 7963f22b70f..221e08149a2 100644
--- a/dev-python/python-lzo/Manifest
+++ b/dev-python/python-lzo/Manifest
@@ -1,2 +1,3 @@
 DIST python-lzo-1.08.tar.gz 13046 BLAKE2B 
ce4e2d2b1497ed93cdc15d157228bd7b3b6395b19808ac9c91ebfc3da6506a0af4d4e770f6e13a23e6ffd6f38cb2fd6e91f949d44680a6ea236e4c3704fb43aa
 SHA512 
94b33e3b0e62b9c8a97147507f4516706d25d62c63ea938f0748e520a3e27760f0e3be142cb3e68aea132ae06759c91b3a4dac8e5010cdfab633e6c8d5904d8c
 DIST python-lzo-1.11.tar.gz 13823 BLAKE2B 
4be60c85aae64e8837f7f8ec332c16f8c86d2e8b2e965e783cb9b0c6c942aa13750dc194679b71a6a0d733bee66313b8ca376853cee7063a46567222f80daa7e
 SHA512 
580c68d2a5fdc43f6cb904507795c25b686c42074f217d067f51b336afa75d3eea10fcb7925c84aea352ce4383c591ff70583bef6c2fbc74116487ae87e1f87f
+DIST python-lzo-1.12.tar.gz 14042 BLAKE2B 
7375e9b200a17cc1ad2c4dfdbe6491082af8d120b2b659b1e9bbff00eaae568e04dc12e5c13de3a028267a1e8e02bd1522a9335db73fa6a5a4ebc7ca4b341fff
 SHA512 
811bdb282cfaf33427ad641d0342900c5af1f17b7033d76593288c3846b0feefe6ef93253152add97b2d6420f937de2745c8e7508dadf33e72b11545cac3be4d

diff --git a/dev-python/python-lzo/python-lzo-1.12.ebuild 
b/dev-python/python-lzo/python-lzo-1.12.ebuild
new file mode 100644
index 00000000000..c580f4bcf7b
--- /dev/null
+++ b/dev-python/python-lzo/python-lzo-1.12.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1 prefix
+
+DESCRIPTION="Python interface to lzo"
+HOMEPAGE="https://github.com/jd-boyd/python-lzo";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+       dev-libs/lzo:2"
+
+DEPEND="
+       ${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+src_prepare() {
+       distutils-r1_src_prepare
+       hprefixify setup.py
+}
+
+python_test() {
+       distutils_install_for_testing
+       PYTHONPATH="${TEST_DIR}"/lib nosetests -v || die "tests failed"
+}

Reply via email to